Skip to main content
PUT
/
interactions
/
{id}
/
codes
/
Select Codes
curl --request PUT \
  --url https://api.{environment}.corti.app/v2/interactions/{id}/codes/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Tenant-Name: <tenant-name>' \
  --data '
{
  "finalCodes": [
    {
      "code": "W0231",
      "additionalCodes": [
        "<string>"
      ]
    }
  ]
}
'
const options = {
method: 'PUT',
headers: {
'Tenant-Name': '<tenant-name>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({finalCodes: [{code: 'W0231', additionalCodes: ['<string>']}]})
};

fetch('https://api.{environment}.corti.app/v2/interactions/{id}/codes/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
using RestSharp;


var options = new RestClientOptions("https://api.{environment}.corti.app/v2/interactions/{id}/codes/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Tenant-Name", "<tenant-name>");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"finalCodes\": [\n {\n \"code\": \"W0231\",\n \"additionalCodes\": [\n \"<string>\"\n ]\n }\n ]\n}", false);
var response = await client.PutAsync(request);

Console.WriteLine("{0}", response.Content);
import requests

url = "https://api.{environment}.corti.app/v2/interactions/{id}/codes/"

payload = { "finalCodes": [
{
"code": "W0231",
"additionalCodes": ["<string>"]
}
] }
headers = {
"Tenant-Name": "<tenant-name>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{environment}.corti.app/v2/interactions/{id}/codes/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'finalCodes' => [
[
'code' => 'W0231',
'additionalCodes' => [
'<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Tenant-Name: <tenant-name>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.{environment}.corti.app/v2/interactions/{id}/codes/"

payload := strings.NewReader("{\n \"finalCodes\": [\n {\n \"code\": \"W0231\",\n \"additionalCodes\": [\n \"<string>\"\n ]\n }\n ]\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Tenant-Name", "<tenant-name>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.put("https://api.{environment}.corti.app/v2/interactions/{id}/codes/")
.header("Tenant-Name", "<tenant-name>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"finalCodes\": [\n {\n \"code\": \"W0231\",\n \"additionalCodes\": [\n \"<string>\"\n ]\n }\n ]\n}")
.asString();
{
  "codes": [
    {
      "system": "ICD-10",
      "code": "T933",
      "description": "<string>",
      "state": {
        "isSelected": true
      },
      "additionalCodes": [
        {
          "subsetName": "orsakskoder",
          "code": "W0231",
          "description": "<string>",
          "state": {
            "isSelected": true
          }
        }
      ]
    }
  ],
  "usageInfo": {
    "creditsConsumed": 123
  }
}
{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}
{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}
{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}
{
"requestid": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"validationErrors": [
{}
]
}

Authorizations

Authorization
string
header
required

Input your token

Headers

Tenant-Name
string
required

Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.

Example:

"base"

Path Parameters

id
string<uuid>
required

The unique identifier of the interaction. Must be a valid UUID.

Example:

"f47ac10b-58cc-4372-a567-0e02b2c3d479"

Body

application/json
finalCodes
object[]

List of final codes

Response

Updated list of selected codes.

codes
object[]

List of medical codes

usageInfo
object

Credits consumed for this request.